%global _empty_manifest_terminate_build 0
Name:		python-jwcrypto
Version:	1.5.0
Release:	1
Summary:	Implementation of JOSE Web standards
License:	LGPL-3.0-or-later
URL:		https://github.com/latchset/jwcrypto
Source0:	https://files.pythonhosted.org/packages/ed/72/b9289ee27d228fc7cae5c83d1c640de2a7cc0621805aa839ba239d6ef8fc/jwcrypto-1.5.0.tar.gz
BuildArch:	noarch


%description
Implements JWK, JWS, JWE specifications with python-cryptography

%package -n python3-jwcrypto
Summary:	Implementation of JOSE Web standards
Provides:	python-jwcrypto = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-jwcrypto
Implements JWK, JWS, JWE specifications with python-cryptography

%package help
Summary:	Development documents and examples for jwcrypto
Provides:	python3-jwcrypto-doc
%description help
Implements JWK, JWS, JWE specifications with python-cryptography

%prep
%autosetup -n jwcrypto-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jwcrypto -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 04 2023 chenzixuan <chenzixuan@kylinos.cn> - 1.5.0-1
- Update package to version 1.5.0

* Fri Dec 09 2022 liukuo <liukuo@kylinos.cn> - 1.4.2-2
- License compliance rectification

* Fri Dec 02 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.4.2-1
- Update package to version 1.4.2

* Tue Aug 02 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.3.1-1
- Upgrade to version 1.3.1

* Tue Jul 05 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.9.1-1
- Upgrade to version 0.9.1

* Fri Apr 17 2020 lizhenhua <lizhenhua21@huawei.com> - 0.5.0-4
- Package init
